MWAWSpreadsheetDecoder Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
MWAWSpreadsheetDecoder Class Reference

main class used to decode a librevenge::RVNGBinaryData created by More...

`#include <MWAWSpreadsheetDecoder.hxx>`

Inheritance diagram for MWAWSpreadsheetDecoder:

## Public Member Functions
| MWAWSpreadsheetDecoder (librevenge::RVNGSpreadsheetInterface *output)
| constructor More...
| ~MWAWSpreadsheetDecoder ()
| destructor More...
void | insertElement (const char *psName)
| insert an element More...
void | insertElement (const char *psName, const librevenge::RVNGPropertyList &xPropList)
| insert an element ( with a librevenge::RVNGPropertyList ) More...
void | insertElement (const char *psName, const librevenge::RVNGPropertyList &xPropList, const librevenge::RVNGPropertyListVector &vector)
| insert an element ( with a librevenge::RVNGPropertyListVector parameter ) More...
void | characters (const librevenge::RVNGString &sCharacters)
| insert a sequence of character More...
Public Member Functions inherited from MWAWPropertyHandler
| MWAWPropertyHandler ()
| constructor More...
virtual | ~MWAWPropertyHandler ()
| destructor More...
virtual void | characters (librevenge::RVNGString const &sCharacters)=0
| writes a list of characters More...
bool | checkData (librevenge::RVNGBinaryData const &encoded)
| checks a encoded librevenge::RVNGBinaryData created by MWAWPropertyHandlerEncoder More...
bool | readData (librevenge::RVNGBinaryData const &encoded)
| reads a encoded librevenge::RVNGBinaryData created by MWAWPropertyHandlerEncoder More...

## Private Member Functions
| MWAWSpreadsheetDecoder (MWAWSpreadsheetDecoder const &)
| copy constructor (undefined) More...
MWAWSpreadsheetDecoder | operator= (MWAWSpreadsheetDecoder const &)
| operator= (undefined) More...

## Private Attributes
librevenge::RVNGSpreadsheetInterface * | m_output
| the interface output More...

## Detailed Description

main class used to decode a librevenge::RVNGBinaryData created by

See also
  MWAWSpreadsheetEncoder (with mimeType="image/mwaw-odg") and to send it contents to librevenge::RVNGSpreadsheetInterface

## Constructor & Destructor Documentation

MWAWSpreadsheetDecoder::MWAWSpreadsheetDecoder | ( | librevenge::RVNGSpreadsheetInterface * | output | ) |
| inlineexplicit

constructor

Referenced by characters().

MWAWSpreadsheetDecoder::~MWAWSpreadsheetDecoder | ( |  | ) |
| inline

destructor

MWAWSpreadsheetDecoder::MWAWSpreadsheetDecoder | ( | MWAWSpreadsheetDecoder const & |  | ) |
| private

copy constructor (undefined)

## Member Function Documentation

void MWAWSpreadsheetDecoder::characters | ( | const librevenge::RVNGString & | sCharacters | ) |
| inline

insert a sequence of character

void MWAWSpreadsheetDecoder::insertElement | ( | const char * | psName | ) |
| virtual

insert an element

Implements MWAWPropertyHandler.

Referenced by ~MWAWSpreadsheetDecoder().

void MWAWSpreadsheetDecoder::insertElement | ( | const char * | psName,
|  | const librevenge::RVNGPropertyList & | xPropList
| ) |  |
| virtual

insert an element ( with a librevenge::RVNGPropertyList )

Implements MWAWPropertyHandler.

void MWAWSpreadsheetDecoder::insertElement | ( | const char * | psName,
|  | const librevenge::RVNGPropertyList & | xPropList,
|  | const librevenge::RVNGPropertyListVector & | vector
| ) |  |

insert an element ( with a librevenge::RVNGPropertyListVector parameter )

MWAWSpreadsheetDecoder MWAWSpreadsheetDecoder::operator= | ( | MWAWSpreadsheetDecoder const & |  | ) |
| private

operator= (undefined)

Referenced by characters().

## Member Data Documentation

librevenge::RVNGSpreadsheetInterface* MWAWSpreadsheetDecoder::m_output
| private

the interface output

Referenced by characters(), and insertElement().

The documentation for this class was generated from the following files:

- MWAWSpreadsheetDecoder.hxx
- MWAWSpreadsheetDecoder.cxx